Package org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyDoc

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

- All Implemented Interfaces:
    `Comparable`, `GroovyDoc`
  Direct Known Subclasses:
    `SimpleGroovyPackageDoc`, `SimpleGroovyProgramElementDoc`, `SimpleGroovyRootDoc`

      public class SimpleGroovyDoc
      extends Object
      implements GroovyDoc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ANNOTATION_DEF` |
    `static int` | `CLASS_DEF` |
    `static int` | `ENUM_DEF` |
    `static int` | `INTERFACE_DEF` |
    `static int` | `TRAIT_DEF` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleGroovyDoc​(String name)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `calculateFirstSentence​(String raw)` |
    `String` | `commentText()` |
    `int` | `compareTo​(Object that)` |
    `String` | `firstSentenceCommentText()` |
    `String` | `getRawCommentText()` |
    `String` | `getTypeDescription()` |
    `String` | `getTypeSourceDescription()` |
    `boolean` | `isAnnotationType()` |
    `boolean` | `isAnnotationTypeElement()` |
    `boolean` | `isClass()` |
    `boolean` | `isConstructor()` |
    `boolean` | `isDeprecated()` |
    `boolean` | `isEnum()` |
    `boolean` | `isEnumConstant()` |
    `boolean` | `isError()` |
    `boolean` | `isException()` |
    `boolean` | `isField()` |
    `boolean` | `isIncluded()` |
    `boolean` | `isInterface()` |
    `boolean` | `isMethod()` |
    `boolean` | `isOrdinaryClass()` |
    `boolean` | `isScript()` |
    `boolean` | `isTrait()` |
    `String` | `name()` |
    `protected void` | `setCommentText​(String commentText)` |
    `void` | `setDeprecated​(boolean deprecated)` |
    `protected void` | `setFirstSentenceCommentText​(String firstSentenceCommentText)` |
    `void` | `setRawCommentText​(String rawCommentText)` |
    `void` | `setScript​(boolean script)` |
    `void` | `setTokenType​(int t)` |
    `GroovyTag[]` | `tags()` |
    `int` | `tokenType()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CLASS_DEF

          public static final int CLASS_DEF

      See Also:
        Constant Field Values

    - #### TRAIT_DEF

          public static final int TRAIT_DEF

      See Also:
        Constant Field Values

    - #### INTERFACE_DEF

          public static final int INTERFACE_DEF

      See Also:
        Constant Field Values

    - #### ANNOTATION_DEF

          public static final int ANNOTATION_DEF

      See Also:
        Constant Field Values

    - #### ENUM_DEF

          public static final int ENUM_DEF

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleGroovyDoc

          public SimpleGroovyDoc​(String name)

  - ### Method Detail

    - #### name

          public String name()

      Specified by:
        `name` in interface `GroovyDoc`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setCommentText

          protected void setCommentText​(String commentText)

    - #### setFirstSentenceCommentText

          protected void setFirstSentenceCommentText​(String firstSentenceCommentText)

    - #### commentText

          public String commentText()

      Specified by:
        `commentText` in interface `GroovyDoc`

    - #### firstSentenceCommentText

          public String firstSentenceCommentText()

      Specified by:
        `firstSentenceCommentText` in interface `GroovyDoc`

    - #### getRawCommentText

          public String getRawCommentText()

      Specified by:
        `getRawCommentText` in interface `GroovyDoc`

    - #### setRawCommentText

          public void setRawCommentText​(String rawCommentText)

      Specified by:
        `setRawCommentText` in interface `GroovyDoc`

    - #### setScript

          public void setScript​(boolean script)

    - #### calculateFirstSentence

          public static String calculateFirstSentence​(String raw)

    - #### isClass

          public boolean isClass()

      Specified by:
        `isClass` in interface `GroovyDoc`

    - #### isScript

          public boolean isScript()

    - #### isTrait

          public boolean isTrait()

    - #### isInterface

          public boolean isInterface()

      Specified by:
        `isInterface` in interface `GroovyDoc`

    - #### isAnnotationType

          public boolean isAnnotationType()

      Specified by:
        `isAnnotationType` in interface `GroovyDoc`

    - #### isEnum

          public boolean isEnum()

      Specified by:
        `isEnum` in interface `GroovyDoc`

    - #### getTypeDescription

          public String getTypeDescription()

    - #### getTypeSourceDescription

          public String getTypeSourceDescription()

    - #### setTokenType

          public void setTokenType​(int t)

    - #### tokenType

          public int tokenType()

    - #### compareTo

          public int compareTo​(Object that)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### isAnnotationTypeElement

          public boolean isAnnotationTypeElement()

      Specified by:
        `isAnnotationTypeElement` in interface `GroovyDoc`

    - #### isConstructor

          public boolean isConstructor()

      Specified by:
        `isConstructor` in interface `GroovyDoc`

    - #### isEnumConstant

          public boolean isEnumConstant()

      Specified by:
        `isEnumConstant` in interface `GroovyDoc`

    - #### isDeprecated

          public boolean isDeprecated()

      Specified by:
        `isDeprecated` in interface `GroovyDoc`

    - #### isError

          public boolean isError()

      Specified by:
        `isError` in interface `GroovyDoc`

    - #### isException

          public boolean isException()

      Specified by:
        `isException` in interface `GroovyDoc`

    - #### isField

          public boolean isField()

      Specified by:
        `isField` in interface `GroovyDoc`

    - #### isIncluded

          public boolean isIncluded()

      Specified by:
        `isIncluded` in interface `GroovyDoc`

    - #### isMethod

          public boolean isMethod()

      Specified by:
        `isMethod` in interface `GroovyDoc`

    - #### isOrdinaryClass

          public boolean isOrdinaryClass()

      Specified by:
        `isOrdinaryClass` in interface `GroovyDoc`

    - #### tags

          public GroovyTag[] tags()

    - #### setDeprecated

          public void setDeprecated​(boolean deprecated)